import _sfc_main$1 from "./QuickView-BgrtHu_x.js";
import { createVNode, resolveComponent, toDisplayString, useSSRContext, withCtx } from "vue";
import { ssrInterpolate, ssrRenderComponent } from "vue/server-renderer";
//#region resources/js/Pages/Sma/Order/ReturnOrder/View.vue
var _sfc_main = {
	__name: "View",
	__ssrInlineRender: true,
	props: ["return_order", "custom_fields"],
	setup(__props) {
		return (_ctx, _push, _parent, _attrs) => {
			const _component_Head = resolveComponent("Head");
			_push(`<!--[-->`);
			_push(ssrRenderComponent(_component_Head, null, {
				default: withCtx((_, _push, _parent, _scopeId) => {
					if (_push) _push(`<title${_scopeId}>${ssrInterpolate(_ctx.$t("Return Order"))}</title>`);
					else return [createVNode("title", null, toDisplayString(_ctx.$t("Return Order")), 1)];
				}),
				_: 1
			}, _parent));
			_push(`<div class="p-6"><div class="relative mx-auto w-full max-w-3xl rounded-lg border border-gray-200 dark:border-gray-700 print:border-0">`);
			_push(ssrRenderComponent(_sfc_main$1, {
				current: __props.return_order,
				fields: __props.custom_fields,
				xfetch: true
			}, null, _parent));
			_push(`</div></div><!--]-->`);
		};
	}
};
var _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
	const ssrContext = useSSRContext();
	(ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("resources/js/Pages/Sma/Order/ReturnOrder/View.vue");
	return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};
//#endregion
export { _sfc_main as default };
